/*!@file
** @brief   Overall header file for the XMP Toolkit.
** @remarks -
** @author  UETA, Shin-ichi <ueta@usdesign.jp>
**
** @copyright (C) 2019 Ueta System Design Studio\n
** This file is licensed under the terms of the MIT License.\n
** See <https://opensource.org/licenses/MIT>.
*/
#pragma once

#include <string>

// Must be defined to instantiate template classes
#define TXMP_STRING_TYPE std::string
// Must be defined to give access to XMPFiles
#define XMP_INCLUDE_XMPFILES 1
// Provide access to the API
#define XMP_StaticBuild 1
#pragma warning(push)
#pragma warning(disable: 4310)
#include <XMP.hpp>
#pragma warning(pop)
